Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.format.operate
Class DecimalFormatOperator

    java.lang.Object
      info.bioinfweb.treegraph.document.format.operate.AbstractOperator
          info.bioinfweb.treegraph.document.format.operate.AbstractTextOperator
              info.bioinfweb.treegraph.document.format.operate.DecimalFormatOperator

All Implemented Interfaces:
  FormatOperator

    public class DecimalFormatOperator

extends AbstractTextOperator

This operator is used to change the decimal format of a `TextFormats`-object.

Author:
  Ben Stöver

Field Summary
`private java.text.DecimalFormat` | `decimalFormat`
`private java.util.Locale` | `locale`

Constructor Summary
`DecimalFormatOperator(java.text.DecimalFormat decimalFormat, java.util.Locale locale)`

Method Summary
`protected void` | `doApplyTo(ElementFormats format)`

Methods inherited from class info.bioinfweb.treegraph.document.format.operate.AbstractTextOperator
`validTarget`

Methods inherited from class info.bioinfweb.treegraph.document.format.operate.AbstractOperator
`applyTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### locale

    private java.util.Locale locale

### decimalFormat

    private java.text.DecimalFormat decimalFormat

Constructor Detail

### DecimalFormatOperator

    public DecimalFormatOperator(java.text.DecimalFormat decimalFormat,
                                 java.util.Locale locale)

Method Detail

### doApplyTo

    protected void doApplyTo(ElementFormats format)

  Specified by:
    `doApplyTo` in class `AbstractOperator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD